<?php 
/**
 * Clover connection
 *
 *  Copyright 2021  Website Experts Inc./ DBA Buy Now Depot
 * Trademark Registered Number:  5,442,029
 * @author            BuyNowDepot
 * @link              https://buynowdepot.com
 * @since             1.0.0
 */
$BndSettings = (array)get_option("bnd_settings");
?>
<div class="row">
	<div class="col-12">
		<div class="d-flex">
			<div class="connection-header"><h4 class="mb-0">Connection to Clover</h4></div>
			<div class="align-right"><button class="btn btn-danger" id="clover-disconnect">Disconnect</button></div>
		</div>
		<div class="card mb-12">
			<div class="card-body">
				<?php if(!isset($BndSettings['api_key']) || $BndSettings['api_key']===''){ ?>
				<div class="d-flex">
					<img src="<?php echo plugin_dir_url(dirname(__FILE__))."assets/img/disconnected.jpg"; ?>"
						height="60" class="alert alert-danger"/>
					<div class="alert alert-danger">You are currently not connected to
						clover. In order to connect to clover you will need to get a
						license key and update the key using this form.</div>
				</div>
			    <?php } else { ?>
				<div class="d-flex">
					<img
						src="<?php echo plugin_dir_url(dirname(__FILE__))."assets/img/connected.jpg"; ?>"
						height="60"  class="alert alert-success"/>
					<div class="alert alert-success">You are connected to clover. If
						you want to reset your connection, please specify a new license
						key.</div>
				 </div>
				 <?php } ?>
				 <form name="apiKeyForm" action="">
					<div class="form-group">
						<label for="bnd_license_key">License Key</label> <input
							type="text" class="form-control" id="bnd_license_key"
							aria-describedby="apiHelp" placeholder="Enter License key"
							required=""> <small id="apiHelp" class="form-text text-muted">You
							must have access to a License key in order to connect your store
							to clover.</small>
					</div>
					<p>
						You can obtain your API key by going to the following <a
							href="https://buynowdepot.com/5yBHLOtOqVUqeGPiPtip/cloverapi/connect" style="color:blue">link</a>
					</p>
					<button type="button" class="btn btn-primary mb-0"
						onclick="saveKey()">Submit</button>
				</form>
			</div>
			<div class="alert" id="connectMessage" role="alert"
				style="display: none;"></div>
		</div>
	</div>
</div>
<script type="text/javascript">

</script>